%global revision 20161005
Name:             rtkit
Version:          0.13
Release:          1
Summary:          REALTIMEKIT Realtime Policy and Watchdog Daemon
License:          GPLv3+ and BSD
URL:              https://github.com/heftig/rtkit
Source0:          %{url}/archive/refs/tags/v%{version}.tar.gz


BuildRequires:    systemd dbus-devel libcap-devel polkit-devel libtool autoconf automake
BuildRequires:    vim-common
Requires:         dbus  polkit

%systemd_requires

%package_help

%description
RealtimeKit is a D-Bus system service that changes the
scheduling policy of user processes/threads to SCHED_RR
(i.e. realtime scheduling mode) on request. It is intended to
be used as a secure mechanism to allow real-time scheduling to
be used by normal user processes.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -vif
export CFLAGS="%{optflags} -Wno-error=format-security"
%configure --with-systemdsystemunitdir=%{_unitdir} --libexecdir=%{_libexecdir}/rtkit
%make_build V=1
./rtkit-daemon --introspect > org.freedesktop.RealtimeKit1.xml

%install
make install DESTDIR=%{buildroot}

%pre
getent group rtkit >/dev/null 2>&1 || groupadd -r -g 172 rtkit
getent passwd rtkit >/dev/null 2>&1 || useradd -r -l -u 172 -g rtkit \
        -d /proc -s /sbin/nologin -c "RealtimeKit" rtkit
:;

%post
%systemd_post %{name}-daemon.service
dbus-send --system --type=method_call \
          --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig >/dev/null 2>&1 || :

%preun
%systemd_preun %{name}-daemon.service

%postun
%systemd_postun_with_restart %{name}-daemon.service

%files
%doc rtkit.c rtkit.h README
%license GPL LICENSE
%attr(0755,root,root) %{_libexecdir}/rtkit/rtkit-daemon
%attr(0755,root,root) %{_sbindir}/rtkitctl
%attr(0644,root,root) %{_datadir}/dbus-1/interfaces/org.freedesktop.RealtimeKit1.xml
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/polkit-1/actions/*.policy
%{_unitdir}/rtkit-daemon.service
%{_libexecdir}/rtkit/installed-tests/rtkit/rtkit-test
%{_datadir}/dbus-1/system.d/org.freedesktop.RealtimeKit1.conf

%files help
%{_mandir}/man8/rtkitctl.8.gz

%changelog
* Thu Oct 19 2023 li weigang - <weigangli99@gmail.com> - 0.13-1
- Type: update
- ID: NA
- SUG: NA
- DESC: update to version 0.13

* Fri Sep 11 2020 chengguipeng<chengguipeng1@huawei.com> - 0.11-27
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:modify source0 url

* Wed Jan 8 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.11-26
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:optimization the spec

* Tue Dec 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.11-25
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:bugfix about spec

* Tue Dec 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.11-24
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:optimization the spec

* Tue Oct 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.11-23
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix missing arguments after systemd_postun

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.11-22
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license files

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.11-21
- Package Init
